Hello,
I am wondering how to extend/ trim/ lengthen a line to/by an 3d surface or by a 2D plane ?
I often do it by draw a 3D object (pipe/round bar) with the center line in the line above and then trim it by surface, find the intersection point... to much steps.
Do you know any more simple ways ?
Thank you so much!
Solved! Go to Solution.
Solved by leeminardi. Go to Solution.
Solved by j.palmeL29YX. Go to Solution.
Solved by TheCADnoob. Go to Solution.
Solved by leeminardi. Go to Solution.
Solved by j.palmeL29YX. Go to Solution.
Solved by j.palmeL29YX. Go to Solution.
AFAIK this is only possible with workarounds similar to yours. You can find some examples here in the forum, not significantly less steps as you do. 😞
Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Another possibility:
Use the Imprint command to create a zero length line on the surface. Now you can grab the endpoint of the line you want to "trim" and drag it to the endpoint of the zero length line.
Even if that should work with procedural surfaces too, here it works only with NURBS faces (I don't yet know why).
Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Here's a simple vlisp program I just wrote. The program creates a section line where the line intersects the surface. The user then must use the trim or extend command to modify the line to the point of intersection. I'm sure it could be enhanced to be more automatic by using the pick point to determine which end of the line to modify.
Given:
The command create a section line (white).
Which is the trimmed (or extended) and the section line deleted.
; Creates a section line on a surface at the intersection of a line
; and the surface. The TRIM or EXTEND command can then be used to trim
; or extend the line to the surface.
; L. Minardi 6/3/2022
(defun c:surfintr ( / ed e1 e2 enSurf pt)
(setq ed (entget (car (entsel "\nSelect line.")))
e1 (cdr (assoc 10 ed))
e2 (cdr (assoc 11 ed))
enSurf (car (entsel "\nSelect surface"))
pt (mapcar '+ e1 '(100 0 0))
)
(command "_section" enSurf "" 3 e1 e2 pt)
(princ)
)
Another (non simple) way to di it is use the imprint command.
If you stick this macro in a button it allows you to just select the solid and then select the object you want to trim. It duplicates the solid and imprints the line. Afterwards you can just move your line to the imprinted location and then delete the duplicated solid.
^C^CCopy \;@0,0;@0,0;^C^CIMPRINT;LAST;\;N;^C^C
Still a work around but it can cut down on the click using a macro.
CADnoob
Thank you for your helpfull supports.
One more question, how to do that with a 2D plane instead of 3D surface ?
What is a 3DPlane? Which command do you use to create it? Post an example dwg please.
Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
So sorry, I used wrong word "3D plane". I just edit it to 2D plane.
Please forgive me.
Please excuse my ignorance, but I still don't know what you mean. Please tell us the command to create it or post a dwg including such an object (or preferably both 😉 ).
Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Sorry because of my incorrect description. Please see picture below:
The 2D plane is stiffener plate surface. I want to extend/trim the line to the plate.
@votuananhvungtau wrote:
Please see picture below:
Sorry, an image doesn't give us enough information. Post the dwg-file please (including the line you want to trim).
Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
You can use the LISP and process I outline in post 4 for trimming/extending a line to its intersection with a solid too.
Can't find what you're looking for? Ask the community or share your knowledge.